function word_balloon_get_balloon() {
	return jQuery('#w_b_overlay select.change_choice_balloon option:selected').attr('value');
}

function word_balloon_get_avatar_position() {
	return jQuery("#w_b_overlay input.change_avatar_position:checked").val();
}

function word_balloon_get_avatar_size() {
	return jQuery('#w_b_overlay select.change_avatar_size option:selected').attr('value');
}

function word_balloon_get_avatar_custom_size(size) {
	return jQuery("#w_b_overlay input[name='avatar_custom_size["+size+"]']").val();
}

function word_balloon_get_avatar_name() {
	return jQuery("#w_b_overlay input.change_avatar_name").val();
}

function word_balloon_get_name_position() {
	return jQuery('#w_b_overlay select.w_b_change_name_position option:selected').attr('value');
}

function word_balloon_get_balloon_direction() {
	var balloon = word_balloon_get_balloon();
	if(word_balloon_is_over_balloon(balloon)) return 'O';
	if(word_balloon_is_under_balloon(balloon)) return 'U';
	if(word_balloon_get_avatar_position() === 'L') return 'L';
	return 'R';
}

function word_balloon_getSelectionText() {
	if (window.getSelection) {
		try {
			var ta = $('textarea').get(0);
			return ta.value.substring(ta.selectionStart, ta.selectionEnd);
		} catch (e) {
			console.log('Cant get selection text')
		}
	}
    // For IE
    if (document.selection && document.selection.type != "Control") {
    	return document.selection.createRange().text;
    }
}

function word_balloon_is_over_balloon( balloon ){

	var over_balloon = ['upper','talk_o','think','think_2','talk_oc'];

	if( over_balloon.indexOf(balloon) !== -1 ) return true;

	return false;

}

function word_balloon_is_under_balloon( balloon ){

	var under_balloon = ['lower','talk_u','talk_uc'];

	if( under_balloon.indexOf(balloon) !== -1 ) return true;

	return false;

}

function word_balloon_is_over_under_balloon( balloon ){

	if( word_balloon_is_over_balloon( balloon ) || word_balloon_is_under_balloon( balloon ) ) return true;

	return false;

}




function word_balloon_create_status_box(){

	jQuery(document).ready(function($){
		jQuery('#w_b_overlay div.w_b_status_box').remove();

		var side = word_balloon_get_avatar_position()

		var flip = '';
		if(side === 'R') flip = ' w_b_flip_h';
		var status_box = '<div class="w_b_status_box w_b_flex w_b_col w_b_f_n">';

		if(jQuery("input#w_b_enable_sound").data("enable_sound") === true){

			status_box = status_box + '<div class="w_b_sound" style="cursor:pointer;"><div class="w_b_play_sound" data-audio_id="'+jQuery('#w_b_overlay input.w_b_status_sound_id').val()+'" data-audio_url="'+jQuery('#w_b_overlay input.w_b_status_sound_url').val()+'"  data-play="'+jQuery('#w_b_overlay input.w_b_status_sound_icon').data("play")+'" data-speaker="'+jQuery('#w_b_overlay input.w_b_status_sound_icon').data("speaker")+'" data-flip="'+flip+'" ><img src="'+jQuery('#w_b_overlay input.w_b_status_sound_icon').data("speaker")+'" width="26" height="26" class="'+flip+'"  /></div><div class="w_b_stop_sound" data-audio_id="'+jQuery('#w_b_overlay input.w_b_status_sound_id').val()+'" style="display:none"><img src="'+jQuery('#w_b_overlay input.w_b_status_sound_icon').data("stop")+'" width="26" height="26" /></div></div>';
		}
		status_box = status_box + '<div class="w_b_status w_b_flex w_b_col w_b_jc_fe">' + jQuery('#w_b_overlay input.change_status_comment').val() + '</div></div>';

		if(side === 'L'){
			jQuery('#w_b_overlay div.w_b_bal_box .w_b_flex' ).append(status_box);
		}else{
			jQuery('#w_b_overlay div.w_b_bal_box .w_b_flex' ).prepend(status_box);
		}

		if(typeof word_balloon_create_sound == 'function')
			word_balloon_create_sound();

		word_balloon_status_color_change(jQuery("#w_b_overlay input.change_status_color").val());
	});
}



function word_balloon_ud_margin_change( size , side ){
	var ud_margin = parseInt(jQuery("#w_b_overlay input[name='avatar_custom_size["+size+"]']").val()  / 2) - 27;

	if(side === 'L'){
		jQuery('#w_b_overlay div.w_b_bal' ).css("margin-left" , ud_margin+'px');
	}else{
		jQuery('#w_b_overlay div.w_b_bal' ).css("margin-right" , ud_margin+'px');
	}

}

function word_balloon_rpg_3_adjustment(name_position , resize){
	var ava_style = 16;
	if(name_position === 'on_balloon')ava_style = 32;

	jQuery('#w_b_overlay div.w_b_ava_box' ).css("margin-top" , ava_style+'px');

	ava_style = 0;
	if(name_position === 'on_avatar' || name_position === 'under_avatar' )ava_style = 32;
	jQuery('#w_b_overlay div.w_b_bal').css('min-height',(parseInt(resize) + parseInt(ava_style) + 30) + 'px');
}


function word_balloon_font_size(){
	var font_size = jQuery('#w_b_overlay select.change_font_size option:selected').attr('value');
	if(font_size != ""){
		jQuery('#w_b_overlay textarea.w_b_post_text').css('font-size',font_size + 'px');
		jQuery('#w_b_overlay div.w_b_post_pre_text').css('font-size',font_size + 'px');
	}else{
		jQuery('#w_b_overlay textarea.w_b_post_text').css('font-size','unset');
		jQuery('#w_b_overlay div.w_b_post_pre_text').css('font-size','unset');
	}

	jQuery('#w_b_overlay textarea.w_b_post_text').trigger('input');

}



function word_balloon_up_low_name() {

	var side = word_balloon_get_avatar_position();
	var balloon = word_balloon_get_balloon();
	var name_position = word_balloon_get_name_position();

	
	jQuery('#w_b_overlay div.w_b_ava_box').removeClass('w_b_flex w_b_ai_fe');
	jQuery('#w_b_overlay .w_b_icon_wrap').removeClass('w_b_o_2');
	jQuery('#w_b_overlay .w_b_name').removeClass('w_b_o_2');


	if( name_position === 'side_avatar' ){
		jQuery('#w_b_overlay div.w_b_name').remove();

		var	name = word_balloon_get_avatar_name();

		jQuery('#w_b_overlay div.w_b_ava_box').addClass('w_b_flex w_b_ai_fe');

		if( word_balloon_is_over_balloon(balloon) ){
			jQuery('#w_b_overlay div.w_b_ava_box').prepend('<div class="w_b_name w_b_name_C w_b_ta_C">' + name + '</div>');
		}

		if( word_balloon_is_under_balloon( balloon ) ){
			jQuery('#w_b_overlay div.w_b_ava_box').append('<div class="w_b_name w_b_name_C w_b_ta_C">' + name + '</div>');
		}

		if(side === 'L' && word_balloon_is_over_balloon(balloon) ){
			jQuery('#w_b_overlay div.w_b_name').addClass('w_b_o_2');
		}

		if(side === 'R' && word_balloon_is_under_balloon( balloon ) ){
			jQuery('#w_b_overlay div.w_b_icon_wrap').addClass('w_b_o_2');
		}
	}
}